Bug 1280486 - mdraid devices not recognized by Live image
mdraid devices not recognized by Live image
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: LiveCD (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-11 15:49 EST by Andreas M. Kirchwitz
Modified: 2016-12-20 10:41 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:41:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas M. Kirchwitz 2015-11-11 15:49:16 EST
Description of problem:

When Fedora 23 is going to be installed from the official Live image (not the Server image), existing mdraid devices (eg, software RAID-1 with ext4) are not properly detected by the installation tool (Anaconda).

Those mdraid devices are listed as "Unknown". Neither capacity nor any existing filesystem (eg, ext4), disk label or previous mount point are recognized. However, they are detected as "RAID" and with proper RAID level. But that's all. No further information.

The disks itself and other partitions/filesystems (i.e. ext4, ntfs) are detected without problems.

As a result, no system info can be read from a previous installation (if on RAID-1). Also those devices can not be used for installation. Effectively, it's not possible to install Fedora 23 from the Live image.

Similar problems exist in Fedora 22 but a crash of an Anaconda component kept mdraid devices from appearing at all (not even as "Unknown"). There are also reports for problems with encrypted devices. Bug reports exists for F22 but none of them (I know of) has been processed, eg bugzilla #1225184

Server installation image does not have this problem (same for F22 and F23), so this can be used as a work-around for a Workstation installation. However, this comes with limitations. First of all, it requires network connection (Internet) because it's not allowed to install from a local Workstation/Live ISO (only local Server ISOs would be recognized). Second, installed packages are not exactly the same and manual work after installation is required.

Version-Release number of selected component (if applicable):

Official Fedora 23 Workstation Live ISO image
"Fedora-Live-Workstation-x86_64-23-10.iso" (1469054976 bytes)

How reproducible:

Always.

Steps to Reproduce:
1. Boot from Fedora 23 Workstation Live ISO image.
2. Select "Install to Harddisk".
3. Go to "Installation Destination", all mdraid devices are "Unknown".
4. Installation not possible.

Actual results:

Capacity or existing filesystem of existing mdraid devices not recognized. Those devices are listed as "Unknown" and cannot be used as installation destination.

Expected results:

Existing mdraid devices from a previous Fedora installation should be properly recognized and usable for installation.

Additional info:

Server image works fine and can be used as work-around, but this comes with limitations (network connection required, and installed packages are not exactly the same and require manual work after installation).

Even if most Fedora users may not use software RAID for the Fedora system itself, software RAID is very popular for filesystems with large amounts of data (eg, RAID-5) and machines serving as NAS.
Comment 1 Fedora End Of Life 2016-11-24 08:19:20 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Andreas M. Kirchwitz 2016-11-24 08:29:50 EST
Looks like this has been finally fixed in Fedora 25, the issue has been discussed and solved in https://bugzilla.redhat.com/show_bug.cgi?id=1225184
Comment 3 Fedora End Of Life 2016-12-20 10:41:59 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.